#ifndef _ISOUND_H_
#define _ISOUND_H_

typedef unsigned int UInt;
typedef short int Sint16;

class ISound
{
public:
	virtual ~ISound() {}

	virtual Sint16* GetBuffer(const UInt &position, const int &len, bool isLooping = false) = 0;

	virtual void Output() = 0;
};

#endif
